# GimpUi.MemsizeEntry.new

    function new(value: Number(guint64), lower: Number(guint64), upper: Number(guint64)): Gtk.Widget {
        // Gjs wrapper for gimp_memsize_entry_new()
    }

Creates a new GimpUi.MemsizeEntry which is a Gtk.HBox with a Gtk.SpinButton and a #GtkOptionMenu all setup to allow the user to enter memory sizes.

value

  the initial value (in Bytes)

lower

  the lower limit for the value (in Bytes)

upper

  the upper limit for the value (in Bytes)

Returns

  Pointer to the new GimpUi.MemsizeEntry.